formatter: markdown
version: ""

content: |-
  # Azure CDN Static Website hosting with Gandi DNS

  Terraform module which create Azure CDN that can host a static website and use Gandi DNS for custom domain registration.

  ## Prerequisites

  - An Azure Active Directory user that have a Global administrator role
  - An active Gandi provider API key. You can retrieve your API key by visiting the [Account Management screen](https://account.gandi.net/en/), going to the `Security` tab and generating your Production API Key

  ## Module usage

  ```hcl
  {{ include "examples/complete/main.tf" }}
  ```
  {{ .Requirements }}
  
  {{ .Resources }}

  {{ .Providers }}

  {{ .Inputs }}

  {{ .Outputs }}  

output:
  file: ""
  mode: inject
  template: |-
    <!-- BEGIN_TF_DOCS -->
    {{ .Content }}
    <!-- END_TF_DOCS -->

output-values:
  enabled: false
  from: ""

sort:
  enabled: true
  by: name

settings:
  anchor: true
  color: true
  default: true
  description: false
  escape: true
  html: true
  indent: 2
  lockfile: true
  required: true
  sensitive: true
  type: true